Conversions
Update a conversion
PATCH
/
conversions
/
{conversion_id}
/
Update a conversion
curl --request PATCH \
--url https://api.tapfiliate.com/1.6/conversions/{conversion_id}/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"amount": 17.95,
"external_id": "ORD123",
"meta_data": {
"baz": "qux"
}
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 17.95, external_id: 'ORD123', meta_data: {baz: 'qux'}})
};
fetch('https://api.tapfiliate.com/1.6/conversions/{conversion_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/"
payload = {
"amount": 17.95,
"external_id": "ORD123",
"meta_data": { "baz": "qux" }
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 17.95,
'external_id' => 'ORD123',
'meta_data' => [
'baz' => 'qux'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/conversions/{conversion_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 17.95,\n \"external_id\": \"ORD123\",\n \"meta_data\": {\n \"baz\": \"qux\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/"
payload := strings.NewReader("{\n \"amount\": 17.95,\n \"external_id\": \"ORD123\",\n \"meta_data\": {\n \"baz\": \"qux\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tapfiliate.com/1.6/conversions/{conversion_id}/")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 17.95,\n \"external_id\": \"ORD123\",\n \"meta_data\": {\n \"baz\": \"qux\"\n }\n}")
.asString();This response has no body data.{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}Authorizations
Your API key, from your Tapfiliate account settings.
Path Parameters
Numeric id of the conversion to perform action with.
Query Parameters
Also re-calculate commissions when changing the Conversion amount
Body
application/json
The new amount for the commission
Example:
30.55
A unique id for this conversion. It can be anything that is meaningful to you, like an order number, user id, email adres etc.. After a conversion has taken place, you can find this id alongside the conversion on our platform.
Example:
"foobar1"
Response
OK
⌘I
Update a conversion
curl --request PATCH \
--url https://api.tapfiliate.com/1.6/conversions/{conversion_id}/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"amount": 17.95,
"external_id": "ORD123",
"meta_data": {
"baz": "qux"
}
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 17.95, external_id: 'ORD123', meta_data: {baz: 'qux'}})
};
fetch('https://api.tapfiliate.com/1.6/conversions/{conversion_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/"
payload = {
"amount": 17.95,
"external_id": "ORD123",
"meta_data": { "baz": "qux" }
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 17.95,
'external_id' => 'ORD123',
'meta_data' => [
'baz' => 'qux'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/conversions/{conversion_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 17.95,\n \"external_id\": \"ORD123\",\n \"meta_data\": {\n \"baz\": \"qux\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/conversions/{conversion_id}/"
payload := strings.NewReader("{\n \"amount\": 17.95,\n \"external_id\": \"ORD123\",\n \"meta_data\": {\n \"baz\": \"qux\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tapfiliate.com/1.6/conversions/{conversion_id}/")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 17.95,\n \"external_id\": \"ORD123\",\n \"meta_data\": {\n \"baz\": \"qux\"\n }\n}")
.asString();This response has no body data.{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}